%global momorel 11

%{!?__python_ver:%define __python_ver EMPTY}
%global unicode ucs4

%if "%{__python_ver}" != "EMPTY"
%global main_python 0
%global python python%{__python_ver}
%global tkintnern tkinter%{__python_ver}
%else
%global main_python 1
%global python python
%global tkinter tkinter
%endif

%global pybasever 2.4
%global jp_codecs 1.4.11
%global tools_dir %{_libdir}/python%{pybasever}/Tools
%global demo_dir %{_libdir}/python%{pybasever}/Demo

Summary: An interpreted, interactive, object-oriented programming language.
Name: python
Version: 2.4.2
Release: %{momorel}m
License: see "LICENSE"
Group: Development/Languages
URL: http://www.python.org/
Provides: python-abi = %{pybasever}
Provides: python(abi) = %{pybasever}
# optik is part of python 2.3 as optparse
Provides: python-optik = 1.4.1
Obsoletes: python-optik
%NoSource 0 http://www.python.org/ftp/python/%{version}/Python-%{version}.tar.bz2 98db1465629693fc434d4dc52db93838
Source3: modulator
Source4: pynche
%NoSource 5 http://www.python.jp/pub/JapaneseCodecs/JapaneseCodecs-%{jp_codecs}.tar.gz e4f2ed866f4ce978fb54bb962eab4fdf
Source6: http://gigue.peabody.jhu.edu/~mdboom/omi/source/shm_source/shmmodule.c
Source7: python-2.3.4-optik.py

Patch0: python-2.4.1-config.patch
Patch3: Python-2.2.1-pydocnogui.patch
Patch7: python-2.3.4-lib64-regex.patch
Patch8: python-2.4.1-lib64.patch
Patch9: japanese-codecs-lib64.patch
Patch13: python-2.4-distutils-bdist-rpm.patch
Patch14: python-2.3.4-pydocnodoc.patch
Patch15: python-2.4.1-canonicalize.patch

%if %{main_python}
Obsoletes: Distutils
Provides: Distutils
Obsoletes: python2
Provides: python2 = %{version}
BuildPrereq: db4-devel >= 4.3
%else
#BuildPrereq: db3-devel
%endif
Provides: /usr/bin/python
Provides: /usr/bin/python2
Provides: /usr/bin/python2.4

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: bzip2-devel, tar, pkgconfig, glibc-devel
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildRequires: tcl-devel, tk-devel, tix-devel, libX11-devel
BuildRequires: readline-devel >= 5.0, libtermcap-devel, openssl-devel >= 0.9.8a, gmp-devel
BuildRequires: ncurses-devel, gdbm-devel, zlib-devel, expat-devel, tetex-latex

%description
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

Programmers can write new built-in modules for Python in C or C++.
Python can be used as an extension language for applications that need
a programmable interface. This package contains most of the standard
Python modules, as well as modules for interfacing to the Tix widget
set for Tk and RPM.

Note that documentation for Python is provided in the python-docs
package.

%package devel
Summary: The libraries and header files needed for Python development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Conflicts: %{python} < %{version}-%{release}
%if %{main_python}
Obsoletes: python2-devel
Provides: python2-devel = %{version}-%{release}
%endif

%description devel
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install python-devel if you want to develop Python extensions.  The
python package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

%package tools
Summary: A collection of development tools included with Python.
Group: Development/Tools
Requires: %{name} = %{version}-%{release}
Requires: tkinter = %{version}-%{release}
%if %{main_python}
Obsoletes: python2-tools
Provides: python2-tools = %{version}
%endif

%description tools
The Python package includes several development tools that are used
to build python programs.  This package contains a selection of those
tools, including the IDLE Python IDE.

Install python-tools if you want to use these tools to develop
Python programs.  You will also need to install the python and
tkinter packages.

%package docs
Summary: Documentation for the Python programming language.
Group: Documentation
Requires: %{name} = %{version}-%{release}
%if %{main_python}
Obsoletes: python2-docs
Provides: python2-docs = %{version}
%endif

%description docs
The python-docs package contains documentation on the Python
programming language and interpreter.  The documentation is provided
in ASCII text files and in LaTeX source files.

Install the python-docs package if you'd like to use the documentation
for the Python language.
#'

%package -n %{tkinter}
Summary: A graphical user interface for the Python scripting language.
Group: Development/Languages
BuildPrereq:  tcl, tk
Requires: %{name} = %{version}-%{release}
%if %{main_python}
Obsoletes: tkinter2
Provides: tkinter2 = %{version}
%endif

%description -n %{tkinter}
The Tkinter (Tk interface) program is an graphical user interface for
the Python scripting language.

You should install the tkinter package if you'd like to use a graphical
user interface for Python programming.
#'

%prep
%setup -q -n Python-%{version} -a 5

%patch0 -p1 -b .rhconfig
%patch3 -p1 -b .no_gui
%if %{_lib} == lib64
%patch7 -p1 -b .lib64-regex
%patch8 -p1 -b .lib64
%patch9 -p0 -b .lib64-j
%endif
%patch13 -p1 -b .bdist-rpm
%patch14 -p1 -b .no-doc
%patch15 -p1 -b .canonicalize

# This shouldn't be necesarry, but is right now (2.2a3)
find -name "*~" | xargs %__rm -f

# Temporary workaround to avoid confusing find-requires: don't ship the tests
# as executable files
chmod 0644 Lib/test/test_*.py
 
# shm module
cp %{SOURCE6} Modules
cat >> Modules/Setup.dist << EOF
 
# Shared memory module
shm shmmodule.c
EOF

# Backwards compatible optik
install -m 0644 %{SOURCE7} Lib/optik.py
 
%build
topdir=`pwd`
CFLAGS="%{optflags} -D_GNU_SOURCE -fPIC"
CXXFLAGS="%{optflags} -D_GNU_SOURCE -fPIC"
OPT="%{optflags} -D_GNU_SOURCE -fPIC"
if pkg-config openssl ; then
   export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
   export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
# Force CC
export CC=gcc
%configure --enable-ipv6 --enable-unicode=%{unicode} --enable-shared

make OPT="$CFLAGS" %{?_smp_mflags}
LD_LIBRARY_PATH=$topdir $topdir/python Tools/scripts/pathfix.py -i "/usr/bin/env python%{pybasever}" .
make OPT="$CFLAGS" %{?_smp_mflags}

pushd Doc
perl -pi -e 's/^all:/#all:/;s/^default:/#default:/' Makefile
LD_LIBRARY_PATH=$topdir make PYTHON=$topdir/python
rm html/index.html.in Makefile* info/Makefile tools/sgmlconv/Makefile
popd
 
%install
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}
%__mkdir_p %{buildroot}%{_prefix} %{buildroot}%{_mandir}

# Clean up patched .py files that are saved as .lib64
for f in distutils/command/install distutils/sysconfig; do
    rm -f Lib/$f.py.lib64
done

%makeinstall DESTDIR=/ MANDIR=%{buildroot}/%{_mandir} INCLUDEDIR=%{buildroot}/%{_includedir} LIBDIR=%{buildroot}%{_libdir} SCRIPTDIR=%{buildroot}%{_libdir} build_root=%{buildroot}
# Fix the interpreter path in binaries installed by distutils
# (which changes them by itself)
# Make sure we preserve the file permissions
for fixed in %{buildroot}/usr/bin/pydoc; do
    sed 's,#!.*/python$,#!/usr/bin/env python%{pybasever},' $fixed > $fixed- \
        && cat $fixed- > $fixed && rm -f $fixed-
done

%if %{main_python}
ln -s python %{buildroot}%{_bindir}/python2
%else
mv %{buildroot}%{_bindir}/python %{buildroot}%{_bindir}/%{python}
mv %{buildroot}%{_mandir}/man1/python.1 %{buildroot}/%{_mandir}/man1/python%{pybasever}.1
%endif

# tools

mkdir -p %{buildroot}%{_libdir}/python%{pybasever}/site-packages

#modulator
%__install -m 755 %{S:3} %{buildroot}%{_bindir}/modulator
%__cp -r Tools/modulator \
  %{buildroot}%{_libdir}/python%{pybasever}/site-packages/

#pynche
%__install -m 755 %{S:4} %{buildroot}%{_bindir}/pynche
%__rm -f Tools/pynche/*.pyw
%__cp -r Tools/pynche \
  %{buildroot}%{_libdir}/python%{pybasever}/site-packages/

mv Tools/modulator/README Tools/modulator/README.modulator
mv Tools/pynche/README Tools/pynche/README.pynche

#gettext
%__install -m755  Tools/i18n/pygettext.py %{buildroot}%{_bindir}
%__install -m755  Tools/i18n/msgfmt.py %{buildroot}%{_bindir}

# Useful development tools
install -m755 -d %{buildroot}%{tools_dir}/scripts
install Tools/README %{buildroot}%{tools_dir}/
install Tools/scripts/*py %{buildroot}%{tools_dir}/scripts/

# Useful demo scripts
install -m755 -d %{buildroot}%{demo_dir}
cp -ar Demo/* %{buildroot}%{demo_dir}

# Get rid of crap
find %{buildroot}/ -name "*~"|xargs rm -f
find %{buildroot}/ -name ".cvsignore"|xargs rm -f
find . -name "*~"|xargs rm -f
find . -name ".cvsignore"|xargs rm -f
#zero length
%__rm -f %{buildroot}%{_libdir}/python%{pybasever}/site-packages/modulator/Templates/copyright

# Clean up the testsuite - we don't need compiled files for it
find %{buildroot}%{_libdir}/python%{pybasever}/test \
    -name "*.pyc" -o -name "*.pyo" | xargs rm -f
%__rm -f %{buildroot}%{_libdir}/python2.2/LICENSE.txt

#make the binaries install side by side with the main python
%if !%{main_python}
pushd %{buildroot}/usr/bin
mv idle idle%{__python_ver}
mv modulator modulator%{__python_ver}
mv pynche pynche%{__python_ver}
mv pygettext.py pygettext%{__python_ver}.py
mv msgfmt.py msgfmt%{__python_ver}.py
mv pydoc pydoc%{__python_ver}
popd
%endif

# Japanese codecs
pushd JapaneseCodecs-%{jp_codecs}
LD_LIBRARY_PATH=%{buildroot}/%{_libdir} PYTHONHOME=%{buildroot}/usr \
    %{buildroot}%{_bindir}/python setup.py \
install \
--install-scripts=%{buildroot}/%{_prefix}/bin \
--install-purelib=%{buildroot}/%{_libdir}/python%{pybasever}/site-packages \
--install-platlib=%{buildroot}/%{_libdir}/python%{pybasever}/lib-dynload \
--install-data=%{buildroot}/%{_exec_prefix} \
--root=/
popd

find %{buildroot}%{_libdir}/python%{pybasever}/lib-dynload -type d | sed "s|%{buildroot}|%dir |" > dynfiles
find %{buildroot}%{_libdir}/python%{pybasever}/lib-dynload -type f | grep -v "_tkinter.so$" | sed "s|%{buildroot}||" >> dynfiles
 
# Fix for bug #136654
%__rm -f %{buildroot}%{_libdir}/python%{pybasever}/email/test/data/audiotest.au

# Fix bug #143667: python should own /usr/lib/python2.x on 64-bit machines
%if %{_lib} == lib64
install -d %{buildroot}/usr/lib/python%{pybasever}/site-packages
%endif

%clean
[ "%{buildroot}" != "/" ] && %__rm -fr %{buildroot}

%files -f dynfiles
%defattr(-, root, root)
%doc LICENSE README
%{_bindir}/python*
%{_mandir}/*/*
%{_libdir}/libpython%{pybasever}.so*

%dir %{_libdir}/python%{pybasever}
#%dir %{_libdir}/python%{pybasever}/lib-dynload
%{_libdir}/python%{pybasever}/lib-dynload/japanese
%{_libdir}/python%{pybasever}/site-packages/japanese.pth
%dir %{_libdir}/python%{pybasever}/site-packages
%{_libdir}/python%{pybasever}/site-packages/README
%{_libdir}/python%{pybasever}/LICENSE.txt
%{_libdir}/python%{pybasever}/*.py*
%{_libdir}/python%{pybasever}/*.doc
%{_libdir}/python%{pybasever}/bsddb
%dir %{_libdir}/python%{pybasever}/config
%{_libdir}/python%{pybasever}/config/Makefile
%{_libdir}/python%{pybasever}/curses
%{_libdir}/python%{pybasever}/distutils
%{_libdir}/python%{pybasever}/encodings
%{_libdir}/python%{pybasever}/idlelib
%{_libdir}/python%{pybasever}/lib-old
%{_libdir}/python%{pybasever}/logging
%{_libdir}/python%{pybasever}/xml
%{_libdir}/python%{pybasever}/email
%{_libdir}/python%{pybasever}/compiler
%{_libdir}/python%{pybasever}/plat-linux2 
%{_libdir}/python%{pybasever}/hotshot
%if %{_lib} == lib64
%attr(0755,root,root) %dir /usr/lib/python%{pybasever}
%attr(0755,root,root) %dir /usr/lib/python%{pybasever}/site-packages
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/python%{pybasever}/config/Setup*
%{_libdir}/python%{pybasever}/config/config*
%{_libdir}/python%{pybasever}/config/install-sh
%{_libdir}/python%{pybasever}/config/libpython2.4.a
%{_libdir}/python%{pybasever}/config/makesetup
%{_libdir}/python%{pybasever}/config/python.o
%{_libdir}/python%{pybasever}/test

%files tools
%defattr(-,root,root,755)
%doc Tools/modulator/README.modulator
%doc Tools/pynche/README.pynche
%{_libdir}/python%{pybasever}/site-packages/modulator
%{_libdir}/python%{pybasever}/site-packages/pynche
%{_bindir}/smtpd*.py*
%{_bindir}/idle*
%{_bindir}/modulator*
%{_bindir}/pynche*
%{_bindir}/pygettext*.py*
%{_bindir}/pydoc*
%{_bindir}/msgfmt.py*
%{tools_dir}
%{demo_dir}

%files docs
%defattr(-,root,root,755)
%doc Misc/NEWS  Misc/README Misc/cheatsheet 
%doc Misc/HISTORY Doc/html

%files -n %{tkinter}
%defattr(-,root,root,755)
%{_libdir}/python%{pybasever}/lib-tk
%{_libdir}/python%{pybasever}/lib-dynload/_tkinter.so

%changelog
* Thu Jul  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-11m)
- rebuild against readline-5.0

* Sat Jun 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-10m)
- delete duplicated file

* Sun Jun  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-9m)
- Provide python-abi = %{basever}

* Mon May 22 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.2-8m)
- roll back 2.4.2 

* Thu May  4 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.3-1m)

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-7m)
- rebuild against openssl-0.9.8a

* Sun Mar 26 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.4.2-6m)
- rebuild against tix-8.4.0

* Sat Mar 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.4.2-5m)
- revise for xorg-7.0
- FIX ME!: commnt out Mesa-devel 

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-4m)
- rebuild against db4.3

* Tue Nov 1 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.2-3m)
- change Provides: python-abi = %{pybasever} 
              to Provides: python(abi) = %{pybasever}

* Sun Oct 30 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.2-2m)
- remake japanese-codecs-lib64.patch

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.4.2-1m)
- update to 2.4.2

* Wed Oct 19 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.1-1m)
- update to 2.4.1

* Sun Jun 26 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.3.5-1m)
- update to 2.3.5
- add gcc4 patch

* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (2.3.4-4m)
- rebuild against libtermcap and ncurses

* Wed Dec  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.3.4-3m)
- Provides: /usr/bin/python2

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.3.4-2m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.4-1m)
- version up
- import patch from FC

* Tue Jun 29 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.2.3-11m)
- modify Patch0 for db-4.2

* Mon Jun 28 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.2.3-10m)
- rebuild against tcl, tk
- modify BuildPrereq: for tkinter

* Tue Jun  1 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.3-8m)
- modify BuildPrereq: tcl, tk

* Tue May  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-7m)
- rebuild against ncurses 5.3.

* Sun Apr  4 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-6m)
- applied gdbm_compat patch.

* Sat Apr  3 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.3-6m)
- modified spec (duplicate file)
- import patch from FC1
- disable html document

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-5m)
- revised spec for rpm 4.2.

* Fri Jan 23 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.2.3-4m)
- add some missing modules (%{pylibdir}/{test,email,compiler,hotshot})

* Mon Dec 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.3-3m)
- accept gdbm-1.8.0 or newer

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.3-2m)
- rebuild against gdbm

* Sun Nov  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.2.3-1m)
- update to 2.2.3 (which is bugfix release of 2.2)

* Fri Oct 31 2003 zunda <zunda at freeshell.org>
- (2.2-21m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2-20m)
- pretty spec file.

* Mon Apr 14 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2-20m)
- fix niwatama (pathfix.py).

* Fri Mar  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2-19m)
  rebuild against openssl 0.9.7a

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2-18m)
- rebuild against for gdbm

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2-17m)
  rebuild against libgdbm

* Sun Jun  2 2002 OZAWA -Crouton- Sakuro <crouton@weatherlight.org>
- (2.2-16k)
- Removed /usr/lib/python%{version}/lib-tk from python's %files,
  because tkinter owns it.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.2-14k)
- add Provides: /usr/bin/python

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (2.2-12k)
- why exclude alpha?

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (2.2-10k)
- tcltk 8.0.5 for sketch

* Thu Feb 21 2002 Shingo Akagaki <dora@kondara.org>
- (2.2-8k)
- rename python2 to python

* Thu Jan 31 2002 Elliot Lee <sopwith@redhat.com> 2.2-7
- Use version and pybasever macros to make updating easy
- Use _smp_mflags macro

* Tue Jan 29 2002 Trond Eivind Glomsr?<teg@redhat.com> 2.2-6
- Add db4-devel to BuildPrereq

* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 2.2-5
- disable ndbm support, which is db2 in disguise (really interesting things
  can happen when you mix db2 and db4 in a single application)

* Thu Jan 24 2002 Trond Eivind Glomsr?<teg@redhat.com> 2.2-4
- Obsolete subpackages if necesarry 
- provide versioned python2
- build with db4

* Wed Jan 16 2002 Trond Eivind Glomsr?<teg@redhat.com> 2.2-3
- Alpha toolchain broken. Disable build on alpha.
- New openssl

* Wed Dec 26 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-1
- 2.2 final

* Fri Dec 14 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.11c1
- 2.2 RC 1
- Don't include the _tkinter module in the main package - it's 
  already in the tkiter packace
- Turn off the mpzmodule, something broke in the buildroot

* Wed Nov 28 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.10b2
- Use -fPIC for OPT as well, in lack of a proper libpython.so

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.9b2
- changed DESTDIR to point to / so that distutils will install dynload
  modules properly in the installroot

* Fri Nov 16 2001 Matt Wilson <msw@redhat.com> 2.2-0.8b2
- 2.2b2

* Fri Oct 26 2001 Matt Wilson <msw@redhat.com> 2.2-0.7b1
- python2ify

* Fri Oct 19 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.5b1
- 2.2b1

* Sun Sep 30 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.4a4
- 2.2a4
- Enable UCS4 support
- Enable IPv6
- Provide distutils
- Include msgfmt.py and pygettext.py

* Fri Sep 14 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.3a3
- Obsolete Distutils, which is now part of the main package
- Obsolete python2

* Thu Sep 13 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.2a3
- Add docs, tools and tkinter subpackages, to match the 1.5 layout

* Wed Sep 12 2001 Trond Eivind Glomsr?<teg@redhat.com> 2.2-0.1a3
- 2.2a3
- don't build tix and blt extensions

* Mon Aug 13 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add tk and tix to build dependencies

* Sat Jul 21 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1.1 bugfix release - with a GPL compatible license

* Fri Jul 20 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Add new build dependencies (#49753)

* Tue Jun 26 2001 Nalin Dahyabhai <nalin@redhat.com>
- build with -fPIC

* Fri Jun  1 2001 Trond Eivind Glomsr?<teg@redhat.com>
- 2.1
- reorganization of file includes

* Wed Dec 20 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fix the "requires" clause, it lacked a space causing problems
- use %%{_tmppath}
- don't define name, version etc
- add the available patches from the Python home page

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- added devel subpackage

* Fri Dec 15 2000 Matt Wilson <msw@redhat.com>
- modify all files to use "python2.0" as the intrepter
- don't build the Expat bindings
- build against db1

* Mon Oct 16 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0 final

* Mon Oct  9 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for 2.0c1
- build audioop, imageop, and rgbimg extension modules
- include xml.parsers subpackage
- add test.xml.out to files list

* Thu Oct  5 2000 Jeremy Hylton <jeremy@beopen.com>
- added bin/python2.0 to files list (suggested by Martin v. Ls)

* Tue Sep 26 2000 Jeremy Hylton <jeremy@beopen.com>
- updated for release 1 of 2.0b2
- use .bz2 version of Python source

* Tue Sep 12 2000 Jeremy Hylton <jeremy@beopen.com>
- Version 2 of 2.0b1
- Make the package relocatable.  Thanks to Suchandra Thapa.
- Exclude Tkinter from main RPM.  If it is in a separate RPM, it is
  easier to track Tk releases.
